Bug 1358155 - (zendframework/zend-mvc-i18n) Review Request: php-zendframework-zend-mvc-i18n - Zend Framework Mvc-I18n component
Review Request: php-zendframework-zend-mvc-i18n - Zend Framework Mvc-I18n com...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1357393
  Show dependency treegraph
 
Reported: 2016-07-20 04:05 EDT by Remi Collet
Modified: 2016-11-30 12:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-30 12:21:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (5.47 KB, text/plain)
2016-11-27 18:00 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (4.01 KB, text/plain)
2016-11-27 18:01 EST, Shawn Iwinski
no flags Details
fedora-review.txt (7.19 KB, text/plain)
2016-11-27 18:02 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-07-20 04:05:54 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/master/php/zend/php-zendframework-zend-mvc-i18n/php-zendframework-zend-mvc-i18n.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-zendframework-zend-mvc-i18n-1.0.0-1.remi.src.rpm
Description: 
zend-mvc-i18n provides integration between:

* zend-i18n
* zend-mvc
* zend-router

and replaces the i18n functionality found in the v2 releases of the latter
two components.

* File issues at https://github.com/zendframework/zend-mvc-i18n/issues
* Documentation is at https://zendframework.github.io/zend-mvc-i18n/


Fedora Account System Username: remi

See https://fedoraproject.org/wiki/Changes/ZF3
Comment 1 Shawn Iwinski 2016-11-27 18:00 EST
Created attachment 1225022 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST
Comment 2 Shawn Iwinski 2016-11-27 18:01 EST
Created attachment 1225023 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST
Comment 3 Shawn Iwinski 2016-11-27 18:02 EST
Created attachment 1225024 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1358155
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2016-11-27 18:03:58 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

     W: incoherent-version-in-changelog 1.1.10-1 ['1.0.0-1.fc26', '1.0.0-1']

Fix minor changelog typo after initial import.



No blockers.

===== APPROVED =====
Comment 5 Remi Collet 2016-11-28 00:27:25 EST
Thanks.

New package request open.
Comment 6 Gwyn Ciesla 2016-11-28 09:32:44 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-zendframework-zend-mvc-i18n
Comment 7 Remi Collet 2016-11-30 12:21:24 EST
Package:    php-zendframework-zend-mvc-i18n-1.0.0-1.fc26
Status:     complete

Note You need to log in before you can comment on or make changes to this bug.